import React from 'react';
import { BrowserRouter as Router, Link, Route, Routes } from 'react-router-dom';

import Entity from './pages/entity';
import EntityOsm from './pages/entity-osm';
import Header from './components/header';
import Home from './pages/home';

import packageInfo from '../package.json'
const VERSION = packageInfo.version;
const OVERPASS_API = 'https://overpass-api.de/api/interpreter?data=[out:json][timeout:60]';

export default function App(){
    return (
	<Router>
	    <Header />
	    <p>
		This website (Version:&nbsp;{VERSION}) dislays public transport related information in the RVB area.
	    </p>
	    <h1>RVB Display</h1>
		<Routes>
		    <Route path='/' element={<Home/>}/>
		    <Route path='/bike-ride' element={<EntityOsm
							  address={OVERPASS_API + ';relation(4189512);map_to_area;nwr[amenity=bicycle_parking][bike_ride]["bike_ride"!="no"](area);out body center qt;'}
							  title='B+R Stations'/>}/>
		    <Route path='/park-ride' element={<Entity apiRoute='park-ride/info' title='P+R Stations'/>}/>
		    <Route path='/taxi' element={<Entity apiRoute='taxi/info' title='Taxi Stations'/>}/>
		    <Route path='/ticket-machine' element={<Entity apiRoute='ticket-machine/info' title='Ticket Machines'/>}/>
		    <Route path='/ticket-office' element={<Entity apiRoute='ticket-office/info' title='Ticket Offices'/>}/>
		    <Route path='/train-station' element={<Entity apiRoute='train-station/info' title='Train Stations'/>}/>
		</Routes>
	    </Router>
    );
}
